EDIT - feature request #7443

Implement in-authors in name parser and formatter for zoological and fungi names
05/30/2018 07:47 AM - Andreas Mller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 70%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.42

Severity: normal

Description

For now we implement it only for fungi and zoological names. Need to check first if it exists for botanical names, too.

Related issues:

Related to EDIT - feature request #7413: Make in-Authors editable in TaxEdito... Closed
Related to EDIT - task #10432: Cora import Resolved
Follows EDIT - feature request #6943: Allow zoological in-Authors in taxon names Closed

Associated revisions

Revision 417a0aee - 01/16/2024 01:28 PM - Andreas Muiller
ref #7443, ref #10432 add formatting and partly parsing for name in-authors

Revision 9bb911e1 - 01/17/2024 08:20 PM - Andreas Miuller

ref #7443 add parser for fungi and zoological names with in-authors

History

#1 - 05/30/2018 07:47 AM - Andreas Miiller
- Due date set to 09/14/2017
- Start date changed from 05/30/2018 to 09/14/2017

- Follows feature request #6943: Allow zoological in-Authors in taxon names added

#2 - 05/30/2018 07:47 AM - Andreas Miiller

- Related to feature request #7413: Make in-Authors editable in TaxEditor for zoological and fungi names added

#4 - 12/17/2018 01:51 PM - Andreas Kohlbecker

- Tags changed from zoology, parser to zoology, parser, formatter

#5 - 12/17/2018 01:53 PM - Andreas Kohlbecker

- Tags changed from zoology, parser, formatter to zoology, parser, formatting

#6 - 12/01/2023 12:53 PM - Andreas Miiller
- Status changed from New to In Progress
- Priority changed from New to Highest

- Target version changed from Unassigned CDM tickets to Release 5.42

#7 - 12/01/2023 12:53 PM - Andreas Miiller
- Related to task #10432: Cora import added

#8 - 12/01/2023 12:54 PM - Andreas Miiller
- Subject changed from Implement zoological in-authors in name parser and formatter to Implement in-authors in name parser and formatter for

zoological and fungi names

#9 - 12/01/2023 01:03 PM - Andreas Miuller

- Description updated
#10 - 01/17/2024 08:23 PM - Andreas Miiller
- Status changed from In Progress to Resolved
- Assignee changed from Andreas Muiller to Katja Luther

- % Done changed from 0 to 70

Should be fixed. Please review.
Maybe formatting still needs to be checked as this time | only worked on parsing.

#11 - 01/23/2024 01:29 PM - Katja Luther
- Status changed from Resolved to Feedback

- Assignee changed from Katja Luther to Andreas Miiller
Could you give me an example?

#12 - 01/24/2024 12:29 AM - Andreas Miiller

Katja Luther wrote in #note-11:

Could you give me an example?

In rem-conf-am there in Testklass there is a taxon "Fungi (E.D.Clarke ex B.D.Jacks. & L. in Z.E.Chao & Z.H.Shen) E.A.Busch ex L. in V.A.Shultz" and
its child. Currently it is Fungus but you may also check to change to ICN or ICNafp.

#13 - 01/24/2024 12:30 AM - Andreas Miuiller

- Assignee changed from Andreas Miiller to Katja Luther

#14 - 01/25/2024 10:53 AM - Katja Luther
- File Screenshot 2024-01-25 105148.png added

- Assignee changed from Katja Luther to Andreas Mdiller

Adding the name mentioned above for a new fungi name works as expected, but for zoological names it does not work

= Mame: Fungi (E.D.Clarke ex B.D.Jacks. & L. in Z.E.Chao & Z.H.Shen) E.A.Busch ex L. =& ~
in V.A.Shultz

Cache Fungi (E.D.Clarke ex B.D.Jacks. & L in Z.E.Chao & Z.H.Shen) D
E.A.Busch ex L in V.AShultz
Nomenclatural Code |NEEN

Lsid

= Scientific Name: Fungi (E.D.Clarke ex B.D.Jacks. & L. in Z.E.Chao & Z.H.5hen)
E.A.Busch ex L. in VLA Shultz

Name Cache Fungi (E.D.Clarke ex B.DJacks. & L. in ZE.Chao & ZH.Shen) D
E.A.Busch ex L. in V.AShultz
Rank

Genus

Appended Phrase

= Authorship:

Authorship Cache

Author = i
Ex Author = b
In Author V.AShultz = 2|0
Publication Year

Basionym Author = (i
Ex Basionym Author = [
In Basionym Author  ZE.Chao & ZH.Shen = 2|0

Orig. Publication Year

» Hybrid
For botanical names it does not work either, but this is what | excpected.
#15 - 01/25/2024 01:58 PM - Andreas Miiller
- Status changed from Feedback to Resolved

- Assignee changed from Andreas Muiller to Katja Luther

Yes, of course it does not work without adding years as zoological names require years for correct parsing.

#16 - 01/26/2024 08:08 AM - Katja Luther
- Status changed from Resolved to Closed

- Assignee changed from Katja Luther to Andreas Miiller

Ok, then we can close the ticket.

Files
Screenshot 2024-01-25 105148.png 115 KB 01/25/2024 Katja Luther
